virtuosoIC617 + calibre2015 + MMSIM15问题汇总

原创
2020/09/27 13:15
阅读数 4K

0.参考的https://my.oschina.net/propagator/blog/3166272, 包括: export OA_UNSUPPORTED_PLAT=linux_rhel50_gcc48x; export W3264_NO_HOST_CHECK=1; 安装ksh; 但是MMSIM的oa目录是IC617的;

1.installer需要openjdk:yum install java-11-openjdk,latest特别慢;

2.需要安装xterm、ksh:https://my.oschina.net/propagator/blog/3166272,https://community.cadence.com/cadence_technology_forums/f/custom-ic-skill/31409/install-cadence-ic-615-on-centos-6-2-configure-status-failed,不装xterm configure会failed;

3.MMSIM的oa路径有人说默认:https://my.oschina.net/propagator/blog/3166272,有人说设置成IC617的:https://zhuanlan.zhihu.com/p/37357556?utm_source=wechat_session&utm_medium=social&utm_oi=642073560190029824,https://www.itread01.com/content/1546733550.html,https://seujxh.wordpress.com/2018/09/25/%E6%90%AD%E5%BB%BA%E5%9C%A8%E8%99%9A%E6%8B%9F%E6%9C%BAcentos-7%E4%B8%8A%E7%9A%84cadence-ic617%E5%A5%97%E4%BB%B6/,我设置的IC617的;

4.本来把calibre2015的exe去掉执行的,但是显示缺少mgc_install: not found,然后又重新执行了带exe的,发现又可以了;

5.calibre2015的补丁需要libstdc++.so.5,参考: https://www.ibm.com/support/pages/how-resolve-oninit-error-lib64libstdcso5-version-cxxabi12-not-found http://ftp.iij.ad.jp/pub/linux/centos-vault/4.3/os/x86_64/CentOS/RPMS/

6.MGC_CALIBRE_SCHEMATIC_SERVER=peter:9199中的peter是hostname而不是用户名:https://seujxh.wordpress.com/2018/09/25/%E6%90%AD%E5%BB%BA%E5%9C%A8%E8%99%9A%E6%8B%9F%E6%9C%BAcentos-7%E4%B8%8A%E7%9A%84cadence-ic617%E5%A5%97%E4%BB%B6/

7.virtuoso: ERROR: The command /cadence/IC617/share/oa/bin/sysname returned an error status: unknown
参考:
https://blog.csdn.net/u012939880/article/details/92377433 https://my.oschina.net/propagator/blog/3166272,
最后设置了export OA_UNSUPPORTED_PLAT=linux_rhel50_gcc48x搞定了。

8./opt/cadence/IC617/tools/dfII/bin/64bit/virtuoso: /opt/cadence/IC617/tools/lib/64bit/libstdc++.so.6: version CXXABI_1.3.8 not found (required by /lib64/libGLU.so.1) /opt/cadence/IC617/tools/dfII/bin/64bit/virtuoso: /opt/cadence/IC617/tools/lib/64bit/libstdc++.so.6: version CXXABI_1.3.9 not found (required by /lib64/libGLU.so.1),
参考:https://www.reddit.com/r/dwarffortress/comments/f0rcn6/libstdcso6_cxxabi_138_not_found/,
我把/opt/cadence/IC617/tools/lib/64bit/libstdc++.so.6备份了一下,从/usr/lib64做了一个软链接到/opt/cadence/IC617/tools/lib/64bit/,成功了。

9.WARNING could not load font "--courier-medium-r---12-", using font "fixed" WARNING (GE-2181): The font (name,size): (courier,12) does not exist. Please verify its validity with 'xlsfonts' or with 'xfontsel'.
参考:https://my.oschina.net/propagator/blog/3167167

yum install xorg-x11-fonts-75dpi
yum install xorg-x11-fonts-100dpi

10.我是docker,所以不怕危害.bashrc,自己复制到~/.bashrc中去的,然后.cdsinit也在~下面,可以在所有文件夹打开。

11.想要打开schematic editor,可以在file处new一个cellviewer,就可以了。

12.calibre2015的license可以自己直接修改hostid和年限,calibre -gui命令下不报warning的最高年限是公元4963年,报 warning 貌似也不影响使用,但太高比如公元10000年就会Error。

展开阅读全文
加载中

作者的其它热门文章

1
0 收藏
分享
打赏
0 评论
0 收藏
1
分享
返回顶部
顶部